/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct WebhookOnCreationPayloadAllOf {
    /// Absolute URL to the playbook run's channel.
    #[serde(rename = "channel_url", skip_serializing_if = "Option::is_none")]
    pub channel_url: Option<String>,
    /// Absolute URL to the playbook run's details.
    #[serde(rename = "details_url", skip_serializing_if = "Option::is_none")]
    pub details_url: Option<String>,
}

impl WebhookOnCreationPayloadAllOf {
    pub fn new() -> WebhookOnCreationPayloadAllOf {
        WebhookOnCreationPayloadAllOf {
            channel_url: None,
            details_url: None,
        }
    }
}
